%define module	Gtk2
%define	name	perl-%{module}
%define	version	1.144
%define	release	%mkrel 2
%define perl_glib_require 1.140
%define gtk_require 2.10.0
%define cairo_require 1.00

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl module for the gtk+-2.x library
License:	GPL or Artistic
Group:	  	Development/GNOME and GTK+
Source:		http://prdownloads.sourceforge.net/gtk2-perl/%{module}-%{version}.tar.bz2
Patch7:		Gtk2-gtk_exit.patch.bz2
Patch21:	Gtk2-1.038-xset_input_focus.patch.bz2
Patch23:	Gtk2-1.023-exception-trapping.patch.bz2 
URL:		http://gtk2-perl.sf.net/
BuildRequires:	gtk+2-devel >= %gtk_require
BuildRequires:	perl-devel
BuildRequires:	perl-ExtUtils-Depends
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:	perl-Glib >= %perl_glib_require
BuildRequires:	perl-Cairo >= %cairo_require
Requires:	gtk+2
Requires:	libgtk+2 => %gtk_require
Requires:	perl-Glib >= %perl_glib_require
#	(misc) needed by /usr/lib/perl5/vendor_perl/5.8.7/i386-linux/Gtk2/Install/Files.pm
Requires:	perl-Cairo >= %cairo_require
#	Compatibility with mdk <= 9.2:
Conflicts:	drakconf <= 9.3-21mdk
Conflicts:	drakxtools-newt <= 9.3-14mdk
Conflicts:	rpmdrake <= 2.1-24mdk
Conflicts:	userdrake <= 0.92-4mdk
Conflicts:	drakfirsttime <= 0.91-14mdk
Provides:	perl-GTK2 = %{version}-%{release}
Obsoletes:	perl-GTK2 < 0.1
# (tv) libegg's code for status icon was merged in gtk+2.9.x:
Provides:	perl-Gtk2-StatusIcon = %{version}-%{release}
Obsoletes:	perl-Gtk2-StatusIcon <= 0.010
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module provides perl access to the gtk+-2.x library.

Gtk+ is the GIMP ToolKit (GTK+), a library for creating graphical user
interfaces for the X Window System.  GTK+ was originally written for the GIMP
(GNU Image Manipulation Program) image processing program, but is now used by
several other programs as well.

%package doc
Summary: Gtk2 documentation
Group: Books/Computer books

%description doc
This package contains documentation of the Gtk2 module.


%prep
%setup -q -n %{module}-%{version}
%patch7 -p0
%patch21 -p0 -b .tv
%patch23 -p0 -b .except
find -type d -name CVS | rm -rf 
perl Makefile.PL INSTALLDIRS=vendor
chmod 755 gtk-demo/*.pl examples/*.pl

%build
%make OPTIMIZE="%{optflags}"
#%make test || :

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc AUTHORS LICENSE
%dir %{perl_vendorarch}/%{module}
%{perl_vendorarch}/%{module}.pm
%{perl_vendorarch}/%{module}/*.pm
%{perl_vendorarch}/%{module}/*/*.pm
%{perl_vendorarch}/%{module}/Install
%{perl_vendorarch}/auto/*

%files doc
%defattr(-, root, root)
%doc gtk-demo examples
%{_mandir}/*/*
%dir %{perl_vendorarch}/%{module}
%{perl_vendorarch}/%{module}/*.pod
%{perl_vendorarch}/%{module}/*/*.pod
%{perl_vendorarch}/%{module}/*/*/*.pod


%changelog
* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.144-2mdv2007.1
+ Revision: 146603
- split out doc

* Tue Mar 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.144-1mdv2007.1
+ Revision: 143142
- new release

* Tue Feb 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.143-1mdv2007.1
+ Revision: 126591
- new release

* Mon Jan 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.142-1mdv2007.1
+ Revision: 111919
- new release

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.141-1mdv2007.1
+ Revision: 86823
- Import perl-Gtk2




* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.141-1mdv2007.1
- new release

* Tue Sep 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.140-1mdv2007.0
- new release

* Thu Aug 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.133-1mdv2007.0
- new release

* Thu Aug 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.132-1mdv2007.0
- new release

* Tue Jul 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.131-1mdv2007.0
- new release

* Thu Jun 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.130-3mdv2007.0
- obsolete perl-Gtk2-StatusIcon (#22856)

* Wed May 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.130-2mdv2007.0
- rebuild for gtk+-2.9.x (new bindings)

* Sat May 27 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.130-1mdv2007.0
- 1.130

* Fri Apr 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.121-1mdk
- New release 1.121
- spec cleanup

* Thu Mar 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.120-1mdk
- new release

* Tue Feb 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.116-1mdk
- new release

* Tue Jan 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.115-1mdk
- new release

* Tue Jan 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.114-1mdk
- new release

* Tue Jan 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.113-2mdk
- drop patch 9, no more used by DrakX

* Tue Jan 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.113-1mdk
- new release

* Thu Dec 22 2005 Michael Scherer <misc@mandriva.org> 1.111-2mdk
- Fix Requires

* Tue Nov 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.111-1mdk
- new release
- build cairo part too

* Wed Oct 12 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.101-1mdk
- New release 1.101
- fix doc perms

* Sat Oct 01 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.100-1mdk
- new release

* Wed Aug 24 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.083-2mdk
- rebuild against new gtk+

* Wed Aug 10 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.083-1mdk
- new release

* Thu Jun 23 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.082-1mdk
- new release

* Fri Apr 15 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.081-1mdk
- new release

* Tue Mar 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.080-1mdk
- new stable release

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.074-1mdk
- new release

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.073-1mdk
- new release

* Mon Jan 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.072-1mdk
- new release

* Fri Dec 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.071-2mdk
- rebuild for new gtk+-2.6.x

* Tue Nov 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.071-1mdk
- new release

* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.070-2mdk
- Rebuild for new perl

* Wed Nov 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.070-1mdk
- new release

* Mon Aug 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.054-1mdk
- new release

* Mon Aug 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.053-1mdk
- new release

* Mon Jul 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.052-1mdk
- new release
- typo fixes

* Tue Jun 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.051-1mdk
- new release

* Thu Jun 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.050-1mdk
- new release

* Tue May 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.042-2mdk
- versionnate requires since gtk+ major was kept around all 2.x releases

* Tue Apr 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.042-1mdk
- new release

* Fri Apr 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.041-1mdk
- new release

* Fri Apr 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.040-2mdk
- link with gtk+-2.4.x

* Wed Mar  24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.040-1mdk
- new release
- redo patch 9
- kill patch 27, 28 and 29 (merged upstream)
- patch 23: croak exceptions out of gtk_main too

* Mon Mar 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.023-3mdk
- patch 28: fix missing color selection dialog methods (fix draksplash crash)
- patch 29: fix build
- fix buildrequires

* Sat Jan 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.023-2mdk
- build release

* Fri Jan 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.023-1mdk
- new release
- remove patch 26 (merged upstream)
- patch 27: fix build

* Mon Jan 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.022-2mdk
- patch 26: fixes for x86_64

* Fri Jan  9 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.022-1mdk
- new release
- remove merged patch 24
- patch 23: update exceptions managment

* Thu Aug 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-6mdk
- patch 21: fix XSetInputFocus()

* Thu Aug 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-5mdk
- patch 25: add bidi support

* Wed Aug 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-4mdk
- fix patch 21
- rename patch 22 as 23

* Wed Aug 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-3mdk
- really apply patch21

* Sun Aug 24 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-2mdk
- patch 22:  properly handle perl exceptions

* Fri Aug 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-1mdk
- new release
- remove patch 22 (merged upstream)

* Tue Aug 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94-2mdk
- patch21: add support for XSetInputFocus()
- patch22: add support for gtk_container_set_focus_vadjustment()

* Mon Aug 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94-1mdk
- new release
- remove patches 14-20 (merged upstream)

* Wed Aug  6 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.90-6mdk
- patch 20: add gtk_widget_size_request (commited in upstream CVS as
  well)

* Thu Jul 24 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-5mdk
- patch 19: fix utf8 managment in FileSelection widget

* Thu Jul 24 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-4mdk
- patch 18: fix segfault when using FileSelection

* Thu Jul 24 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-3mdk
- patch 15: update doc & Glib require
- patch 16: more TreeModel fixes
- patch 17: warn on wrong hash members while creating items

* Thu Jul 24 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-3mdk
- bump requires to enforce that gchar_own typemap is available

* Tue Jul 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-2mdk
- patch 14 : let gtk_tree_model_iter_nth_child() accept null parents

* Fri Jul 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-1mdk
- new release
- remove patches 5 and 6 (merged upstream)

* Thu Jul 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs_20030717-1mdk
- new cvs snapshot
- remove patches 12 and 13 (merged upstream)

* Wed Jul 16 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.15.1-5mdk
- more TreeModel fixes

* Wed Jul 16 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.15.1-4mdk
- patch 12: enable rpmdrake to run

* Tue Jul 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.15.1-3mdk
- patch 13: provides a default so that we do not have to pass undef in perl

* Tue Jul 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.15.1-2mdk
- patch 13: follow c api and allow to not pass label to Gtk2::Notebook->append_page,
  thus fixing rfbdrake

* Tue Jul 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.15.1-1mdk
- new cvs snapshot

* Mon Jul 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.10.1-3mdk
- patch 12 : fix iterating on children for drakfloppy, drakx and rpmdrake

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.10.1-2mdk
- provides some doc and some examples


* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.10.1-1mdk
- new cvs snapshot
- remove patches 3, 10 and 11 (merged upstream)

* Wed Jul 09 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.09.1-3mdk
- conflicts with rpmdrake too

* Wed Jul 09 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.09.1-2mdk
- patch 10: support ->process_updates for logdrake
- patch 11: let grab_pointer get undefined cursors

* Wed Jul 09 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.09.1-1mdk
- new cvs snapshot
- switch to gtk2-perl-xs: obsolete old inline branch, conflicts with unconverted packages
- remove patches 1 and 8 (merged upstream)
- patch 9: support Gtk2::Window->set_uposition for drakx installer
- move Makefile generation where autoconf is called to speed up -bc --short-circuit

* Tue Jul 08 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.07.1-3mdk
- patch 3 : support both c/old gtk2-perl api and scalar context perlish api in
  Gtk2::TreeSelection->get_selected
  [now gtk2-perl-xs is compatible with c/gtk+2 and inline gtk2-perl]

* Tue Jul 08 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.07.1-2mdk
- drop no more needed patch 4
- patch 8 : support gdk_window_freeze_updates() and gdk_window_thaw_updates()

* Mon Jul 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.07.1-1mdk
- Gtk2-0.26
- remove patches 0 and 2 (merged upstream)
- patch 4 : fix gdk_get_default_root_window() api
- patch 5 : implement missing gdk_rgb_find_color()
- patch 6 : gdk-x11 stuff
- patch 7 : support gtk_exit()

* Fri Jul 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.07.04.1-2mdk
- fix description
- fix update || compatibility
- patch 0:  give access to x11 root window (through Gtk2::Gdk::get_default_root_window())
- patch 1:  implement Gtk2::set_locale()
- patch 2:  give access to PANGO_PIXELS conversion macro
- patch 3:  fix broken api of Gtk2::TreeSelection->get_selected()

* Fri Jul 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.07.04.1-1mdk
- switch from the inline branch to the xs one

* Mon May 12 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.04.07.1-2mdk
- rebuild for new perl provides/requires

* Mon Apr 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.04.07.1-1mdk
- add infrastructure in order to fix #3633

* Thu Mar 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.03.04.1-2mdk
- move ugtk2 in drakxtools

* Tue Mar 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.03.04.1-1mdk
- more Gtk2::TreeView support in order to fix #1776

* Thu Feb 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.02.22.1-2mdk
- add stuff for harddrake2

* Sat Feb 22 2003 Pixel <pixel@mandrakesoft.com> 0.0.cvs.2003.02.22.1-1mdk
- snapshot (add Gtk2::SpinButton->new_with_range)

* Fri Feb 21 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.12.1-5mdk
- snapshot (should fix some embedded segfaults)

* Fri Feb 21 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.12.1-4mdk
- snapshot for the fix of #1445

* Thu Feb 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.02.12.1-3mdk
- fix #1651 (gc)

* Wed Feb 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.02.12.1-2mdk
- ugtk2 fixes for i18n

* Wed Feb 12 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.12.1-1mdk
- update (getting rid of TODO: XSetInputFocus if force_focus and TODO:
  ensure focus stuff)

* Tue Feb 11 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.02.11.1-1mdk
- scrollbars and scrolled windows fixes (by gc, rive gauche: une autre idee du luxe)

* Mon Feb 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.02.10.1-1mdk
- cvs snapshot
- ugtk2: add support for new mcc

* Fri Feb  7 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.07.2-1mdk
- snapshot (fixes problem with GalaxyStyle)

* Fri Feb  7 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.07.1-1mdk
- snapshot

* Mon Feb  3 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.03.1-2mdk
- snapshot (fixes the bug crashing mousedrake inside MCC)

* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.01.27.1-2mdk
- update ugtk2 for current drakxtools & mcc

* Mon Jan 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.01.27.1-1mdk
- snapshot of gtk-perl
- do no sent USR2 to mcc for embedded logdrake (special case)
- mcc support for better aligned text on icons

* Tue Jan 21 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.01.21.1-2mdk
- gcsux
- snapshot ugtk2.pm

* Tue Jan 21 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.01.21.1-1mdk
- snapshot

* Fri Jan 10 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.01.10.1-1mdk
- snapshot

* Wed Jan  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.01.08.1-1mdk
- snapshot
- include files in a sub -devel package

* Tue Jan 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.01.07.1-1mdk
- perl-GTK2: latest gc work
- latest ugtk2 from drakxtools

* Mon Dec 24 2002 Stefan van der Eijk <stefan@eijk.nu> 0.0.cvs.2002.12.18.1-2mdk
- BuildRequires

* Wed Dec 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2002.12.18.1-1mdk
- cvs snapshot
- add include files for gnome2 support
- make the build fast and with temporary space 100mb less
- fix buildrequires (pixel)
- ugtk2 :
  o fix wizard
  o fixes for mcc

* Fri Dec 13 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2002.12.13.1-1mdk
- cvs snapshot

* Wed Dec 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2002.12.11.1-1mdk
- cvs snapshot for mcc

* Mon Dec  9 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2002.12.09.1-1mdk
- cvs snapshot

* Tue Dec  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2002.12.03.1-1mdk
- cvs snapshot

* Tue Nov 26 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2002.11.26.1-1mdk
- first mdk package (USE WITH CARE, THIS IS PRE-ALPHA QUALITY SOFTWARE)
